# Class TLSUtil

java.lang.Object
org.apache.catalina.util.TLSUtil

public class TLSUtil extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TLSUtil()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `isTLSRequestAttribute(String name)`
  Determines if the named request attribute is used to pass information about the TLS configuration of the connection to the application.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TLSUtil

    public TLSUtil()

- ## Method Details

  - ### isTLSRequestAttribute

    public static boolean isTLSRequestAttribute(String name)
    Determines if the named request attribute is used to pass information about the TLS configuration of the connection to the application. Both the standard request attributes defined by the Servlet specification and Tomcat specific attributes are supported.
    Parameters:
      `name` - The attribute name to test
    Returns:
      `true` if the attribute is used to pass TLS configuration information, otherwise `false`